
/* Copyright(C) (2002) <Florent.Morata@imag.fr> */

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

/*! \file fic_gnu.h
 * \brief Header of GnuPlot library.
 * \author - Florent.Morata@imag.fr
           - Corine.Marchand@imag.fr
	       - Jean-Marc.Vincent@imag.fr                                                                               
 * \date October 07, 2002                                                                       
 */                                                  


/***********************************************************************************/
/*   Xterm -> file extensions  /   GnuPlot style -> option                               *
     /                                                                                   *
     /   latex -> tex       /   boxes -> rectangles verticaux                            *
     /   pslatex -> pstex   /   dots -> petits points                                    *
     /   fig -> fig         /   errorbars -> points et barres verticales d'erreur        *
     /   jpeg -> jpg        /   impulses -> lignes verticales                            *
     /                      /   lines -> lignes                                          *
     /                      /   linespoints -> lignes et points                          *
     /                      /   points -> points                                         *
     /                      /   steps  -> marche d'escalier                              *
     /                                                                                   *
************************************************************************************/

#ifndef _FIC_GNU_H_
#define _FIC_GNU_H_

// C++ includes
#include <string>
#include <vector>
#include <fstream>
#include <iostream>

/*! \namespace std */
using namespace std;


/*! \enum gnu_type
 * Different kind of GnuPlot exportation extensions.
 */
enum gnu_type{ps_file,eps_file,jpg_file,tex_file,pstex_file,fig_file};


// functions
void appel_script(string fic); 

string create_courb(string name,int borng,int bornd,string option,gnu_type gt,string xlabel,string ylabel,bool bezier); 

string create_aff(string name,int borng,int bornd,string option,string xlabel,string ylabel,bool bezier);

gnu_type choice_export();

#endif


