
/* Copyright (C) (2002) (ID - IMAG) <Florent.Morata@imag.fr> */

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

/*! \file interface.h
 * \brief Header file of the interface library.
 * \author - Florent.Morata@imag.fr
           - Corine.Marchand@imag.fr
	       - Jean-Marc.Vincent@imag.fr
 * \date November 2002.		   
 */


#ifndef _INTERFACE_H_
#define _INTERFACE_H_


// C++ includes
#include <iostream>
#include <string>
#include <fstream>
#include <iomanip>
#include <algorithm>

// C include 
#include <cstdio>

/*! \namespace std */
using namespace std;


// local includes
#include "hbf.h"
#include "alias.h"
#include "analyze.h"


/*! \enum psi_options
 * \brief PSI options of main menu interface.
 */
enum psi_options{
  credits,
  bye,
  nothing,
  pre,
  sim,
  analy,
  tools
};

// Functions
void See_model();

void OpenModel(const string extension);

void See_simu();

void Bye();

void Credits();

psi_options Menu();

bool ExistsFile(string file_name);

void Conversion();

void Stat();

void Unif();

void Walk();

void Sorry();

bool Overwrite(const string file_name);


// Inline function
inline string::iterator give_ext(string path)
{
   return (find(path.begin(),path.end(),'.'));	
}


#endif

