
/* Copyright(C) (2002) (ID - IMAG) <Florent.Morata@imag.fr> 

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

/*! \file percent.inl
 * \brief Inline methods of Percent class.
 * \author - Florent.Morata@imag.fr
 *         - Corine.Marchand@imag.fr
 *         - Jean-Marc.Vincent@imag.fr
 * \date December 10, 2002.
 */

#ifndef _PERCENT_INL_
#define _PERCENT_INL_

#include "percent.h"

// ---------------------------------------------------------------------------

inline void Percent::create(const int total,const int step)
{
  nw = step * 100 / total;
}

// ---------------------------------------------------------------------------

inline void Percent::update()
{
  old = nw;
}

// ---------------------------------------------------------------------------

inline bool Percent::is_new()
{
  return(old != nw);
}

// ---------------------------------------------------------------------------

inline percent Percent::give_old()
{
  return(old);
}

// ---------------------------------------------------------------------------

inline percent Percent::give_new()
{
  return(nw);
}

// ---------------------------------------------------------------------------

#endif

